<?php
session_start();
require('../Operaciones/Sentencias_Estadistica.php');
if(isset($_SESSION['Login'])){
$Id	=$_SESSION['Login'];
}else {
	session_start();
	session_destroy();
	header('location: ../index.php?error=acceso');
}
$L_Mun=$_GET['Lista'];
$Anio_Uno=$_GET['Anio_U'];
$Anio_Dos=$_GET['Anio_D'];
$Anios=array($Anio_Uno,$Anio_Dos);

function Genera_Tabla($Anios, $L_Mun){
	$Esta_Basica= new Estadistica_C();
	$Lista_D=[];
	$Cont=0;
	foreach($Anios as $Anio){
	$dato=$Esta_Basica->Estadistica($L_Mun, $Anio);
		while ($row=$dato->fetch_assoc()){	$Lista_D[$Cont]=array('Nombre'=>$row['nombre'],'Mov'=>$row['Mov'],'Ene'=>$row['Ene'],'Feb'=>$row['Feb'],'Mar'=>$row['Mar'],'Abr'=>$row['Abr'],'May'=>$row['May'],'Jun'=>$row['Jun'],'Jul'=>$row['Jul'],'Ags'=>$row['Ags'],'Sep'=>$row['Sep'],'Oct'=>$row['Oct'],'Nov'=>$row['Nov'],'Dic'=>$row['Dic'],'Anio'=>$row['Anio']);
			$Cont++;
		}
	}
	return($Lista_D);
}
/* Rutina para la generación de Tabla */

function List_Ver($Lista){
	echo '<table><tbody><thead><tr><th width="14%">Municipio</th><th width="7%">Año</th><th width="6%">Ene</th><th width="6%">Feb</th><th width="7%">Mar</th><th width="6%">Abr</th><th width="7%">May</th><th width="5%">Jun</th><th width="5%">Jul</th><th width="6%">Ags</th><th width="6%">Sep</th><th width="6%">Oct</th><th width="7%">Nov</th><th width="6%">Dic</th><th width="6%">Tot</th></tr></thead>';
	foreach($Lista as $Val=>$key) {		
	echo '<tr><td>'.$key['Nombre'].'</td><td>'.$key['Anio'].'</td><td>'.$key['Ene'].'</td><td>'.$key['Feb'].'</td><td>'.$key['Mar'].'</td><td>'.$key['Abr'].'</td><td>'.$key['May'].'</td><td>'.$key['Jun'].'</td><td>'.$key['Jul'].'</td><td>'.$key['Ags'].'</td><td>'.$key['Sep'].'</td><td>'.$key['Oct'].'</td><td>'.$key['Nov'].'</td><td>'.$key['Dic'].'</td><td>'.$key['Mov'].'</td></tr>';
	}
    echo '</tbody></table>';
}
$Lista=Genera_Tabla($Anios,$L_Mun);
/*fin de Rutina */
?>
<head>
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<link href="../Diseno/Grafica.css" rel="stylesheet" type="text/css">
<meta charset="utf-8">
<html>
<body>
<p><div id="Cabecera"><h3>.: Gráfica comparativa de expedición de Guias :. </h3><hr></div></p>
<div id="General">
  	<p><div id="Graf_01"></div></p>
	<div id="Graf_02"></div>
  	<p> <div align="right"> Exportación : <img src="../Diseno/Exp_Excel.png" width="45" height="47" alt="" style="vertical-align: middle" onClick="Exp_excel()" /></div><div id="Tabla"><?php List_Ver($Lista) ?></div></p>
   </div>
<script>
	const Exp_excel=()=>{
		let Lista_D =<?php echo json_encode($Lista) ?>;
		window.open("Exporta_Com.php?Lista="+JSON.stringify(Lista_D)+"&Folio="+Math.random());
	
	}
	const Genera_Graf=()=>{
		let Lista_ = <?php echo $L_Mun; ?>;
		let Anio_Uno = <?php echo $Anio_Uno; ?>;
		let Anio_Dos = <?php echo $Anio_Dos; ?>;
		$('#Graf_01').load('Grafica_Uno.php',{Lista:Lista_,Anio:Anio_Uno});	
		$('#Graf_02').load('Grafica_Dos.php',{Lista:Lista_,Anio:Anio_Dos});	
	}
	Genera_Graf();
		
</script>
</body>
</html>
